Obtener contacto por referencia externa
curl --request GET \
--url https://api.fint.app/api/v1/contact/external-reference/:externalReference \
--header 'x-api-key: <api-key>'import requests
url = "https://api.fint.app/api/v1/contact/external-reference/:externalReference"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.fint.app/api/v1/contact/external-reference/:externalReference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"lastName": "<string>",
"createdAt": "<string>",
"documentNumber": "<string>",
"address": "<string>",
"country": "<string>",
"birthDate": "<string>",
"age": 123,
"phoneNumber": "<string>",
"mobileNumber": "<string>",
"email": "jsmith@example.com",
"hasSiblings": true,
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"group": true,
"parent": {
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>"
}
}
],
"active": true,
"activeStatus": {
"id": 123,
"name": "<string>",
"active": true
},
"reminderEnable": true,
"metadata": {},
"externalReference": "<string>",
"hash": "<string>",
"hasActiveSubscriptions": true,
"siblings": [
{
"id": 123,
"name": "<string>",
"lastName": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"group": true,
"parent": {
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>"
}
}
]
}
],
"familyMembers": [
{
"id": 123,
"type": "<string>",
"notify": true,
"name": "<string>",
"lastName": "<string>",
"hash": "<string>",
"documentNumber": "<string>",
"address": "<string>",
"city": "<string>",
"province": "<string>",
"phoneNumber": "<string>",
"whatsappNumber": "<string>",
"email": "<string>",
"portalUrl": "<string>"
}
],
"items": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"startDate": "<string>",
"isIndefinite": true,
"conditionItems": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"startDate": "<string>",
"collectionCycles": 1
}
],
"originalAmount": "<string>",
"imageUrl": "<string>",
"collectionCycles": 1,
"generateInterestForLatePayment": false,
"moraDetails": [
{
"fromDay": 123,
"untilDay": 123,
"percentage": "<string>",
"daysToApply": 123,
"interestCalculated": "<string>",
"itemId": 123,
"configId": 123,
"baseAmount": "<string>"
}
]
}
],
"invoices": [
{
"id": 123,
"totalAmount": "<string>",
"totalPaid": "<string>",
"totalPending": "<string>",
"totalMora": "<string>",
"interestPaid": "<string>",
"interestSnapshot": "<string>",
"interestSnapshotDate": "<string>",
"description": "<string>",
"date": "<string>",
"expirationDate": "<string>",
"settlement": {
"id": 123,
"name": "<string>",
"sentDate": "<string>"
},
"lastPaymentDate": "<string>",
"uniqueId": "<string>",
"applyInterest": true,
"externalReference": "<string>",
"paymentMethod": "<string>",
"isManualPayment": true
}
],
"files": [
{
"id": 123,
"createdAt": "<string>",
"url": "<string>"
}
],
"notes": [
{
"id": 123,
"createdAt": "<string>",
"note": "<string>",
"user": {
"id": 123,
"name": "<string>",
"lastName": "<string>"
},
"apiKey": {
"id": 123,
"name": "<string>"
}
}
],
"teachableCourses": [
{
"id": 123,
"name": "<string>",
"expiresAt": "<string>",
"teachableCourseId": 123
}
]
}{
"message": "Contact not found"
}Contactos
Obtener contacto por referencia externa
Obtener detalles de contacto por referencia externa
GET
/
contact
/
external-reference
/
:externalReference
Obtener contacto por referencia externa
Authorizations
Path Parameters
Response
Contacto recuperado con éxito por referencia externa
Available options:
DNI, CUIT, CUIL, CDI, LE, LC, CI Extranjera, Pasaporte, CI Policía Federal, Certificado de Migración, RUT, Otro Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACCOUNT_OPENED, NOT_DUE, PAST_DUE, ACCOUNT_SETTLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I